Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl
Class TemplateEngineType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          com.ssaglobal.generator.genctl.TemplateEngineType

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class TemplateEngineType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Template Engine Type', and utility methods for working with them. Identifies the template engines supported by the generator.

See Also:
  `GenctlPackage.getTemplateEngineType()`, Serialized Form

Field Summary
`static int` | `FREE_MARKER` The 'Free Marker' literal value
`static TemplateEngineType` | `FREE_MARKER_LITERAL` The 'Free Marker' literal object
`static int` | `JAMON` The 'Jamon' literal value
`static TemplateEngineType` | `JAMON_LITERAL` The 'Jamon' literal object
`static int` | `STRING_TEMPLATE` The 'String Template' literal value
`static TemplateEngineType` | `STRING_TEMPLATE_LITERAL` The 'String Template' literal object
`static java.util.List` | `VALUES` A public read-only list of all the 'Template Engine Type' enumerators

Method Summary
`static TemplateEngineType` | `get(int value)` Returns the 'Template Engine Type' literal with the specified value
`static TemplateEngineType` | `get(java.lang.String name)` Returns the 'Template Engine Type' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString, writeReplace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### JAMON

    public static final int JAMON

  The 'Jamon' literal value.

  See Also:
    `JAMON_LITERAL`, Constant Field Values

### FREE_MARKER

    public static final int FREE_MARKER

  The 'Free Marker' literal value.

  See Also:
    `FREE_MARKER_LITERAL`, Constant Field Values

### STRING_TEMPLATE

    public static final int STRING_TEMPLATE

  The 'String Template' literal value.

  See Also:
    `STRING_TEMPLATE_LITERAL`, Constant Field Values

### JAMON_LITERAL

    public static final TemplateEngineType JAMON_LITERAL

  The 'Jamon' literal object.

  If the meaning of 'Jamon' literal object isn't clear, there really should be more of a description here...

  See Also:
    `JAMON`

### FREE_MARKER_LITERAL

    public static final TemplateEngineType FREE_MARKER_LITERAL

  The 'Free Marker' literal object.

  If the meaning of 'Free Marker' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FREE_MARKER`

### STRING_TEMPLATE_LITERAL

    public static final TemplateEngineType STRING_TEMPLATE_LITERAL

  The 'String Template' literal object.

  If the meaning of 'String Template' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STRING_TEMPLATE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Template Engine Type' enumerators.

Method Detail

### get

    public static TemplateEngineType get(java.lang.String name)

  Returns the 'Template Engine Type' literal with the specified name.

### get

    public static TemplateEngineType get(int value)

  Returns the 'Template Engine Type' literal with the specified value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD